> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fieldwise.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Extraction From Url

> Run extraction on a file from URL.



## OpenAPI

````yaml post /api/v1/extractions/run/url
openapi: 3.1.0
info:
  title: Fieldwise API
  description: API for the Fieldwise platform.
  version: 1.0.0
servers:
  - url: https://api.fieldwise.ai
security:
  - ApiKeyAuth: []
paths:
  /api/v1/extractions/run/url:
    post:
      tags:
        - Extractions
      summary: Run Extraction From Url
      description: Run extraction on a file from URL.
      operationId: run_extraction_from_url_api_v1_extractions_run_url_post
      parameters:
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/URLExtractionRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtractionUploadResponse'
        '400':
          description: Invalid request or extraction configuration
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetail'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetail'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetail'
        '404':
          description: Extraction configuration not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetail'
        '422':
          description: Invalid URL or download failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetail'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetail'
components:
  schemas:
    URLExtractionRequest:
      properties:
        url:
          type: string
          minLength: 1
          format: uri
          title: Url
          description: URL of the file to process
        extraction_id:
          type: integer
          title: Extraction Id
          description: ID of the extraction to run
      type: object
      required:
        - url
        - extraction_id
      title: URLExtractionRequest
      description: Request model for running extractions via URL.
      example:
        extraction_id: 1
        url: https://example.com/document.pdf
    ExtractionUploadResponse:
      properties:
        success:
          type: boolean
          title: Success
          default: true
        data:
          title: Data
          description: Response data
        error:
          anyOf:
            - $ref: '#/components/schemas/ErrorDetail'
            - type: 'null'
        meta:
          $ref: '#/components/schemas/MetaData'
      type: object
      required:
        - data
      title: ExtractionUploadResponse
      example:
        data:
          extraction_id: 1
          file_path: org_123/extractions/file.pdf
          task_identifier: RunExtraction:123e4567-e89b-12d3-a456-426614174000
    ErrorDetail:
      properties:
        message:
          type: string
          title: Message
          description: Error message
        error_code:
          type: string
          title: Error Code
          description: Error code identifier
        details:
          anyOf:
            - items:
                type: object
              type: array
            - type: 'null'
          title: Details
          description: Additional error details
      type: object
      required:
        - message
        - error_code
      title: ErrorDetail
      description: Schema for API error responses.
      example:
        error_code: RESOURCE_NOT_FOUND
        message: Resource not found
    MetaData:
      properties:
        timestamp:
          type: string
          format: date-time
          title: Timestamp
        version:
          type: string
          title: Version
          default: '1.0'
      type: object
      title: MetaData
      description: Metadata for API responses
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````